%define name	kio-recentdocument
%define source_name	kio_recentdocument
%define version 0.2.1
%define release %mkrel 4

Name:           %{name}
Version:	%{version}
Release:	%{release}
Summary: 	KDE4 kio slave to display recent documents in file browser & dialogs.
License: 	GPL
URL: 		http://kde-apps.org/content/show.php/kio+recent+document?content=145878
#GIT: 		http://quickgit.kde.org/?p=scratch%2Fxuetianweng%2Fkio_recentdocument.git
Group:          Graphical desktop/KDE4
Source: 	%{source_name}-%{version}.tar.xz
Patch0:		kio-recentdoc-url-to-name.patch
Requires: 	kdelibs
BuildRequires:	kdelibs-devel 
BuildRoot:  	%{_tmppath}/%{source_name}-%{version}-build
Obsoletes: 	%name < %version

%description
A kio to display recent document when using KDE file dialogs and file managers.
It is acessed using the URL recentdocument:/

A KCModule in systemsettings allows the user to enable/disable and configure number of recent documents displayed.

TIP:  You can add recentdocument:/ to the places sidebar in your KDE file manager and/or file dialogs via drag-and-drop for easy access.


%prep
%setup -n %{source_name}-%{version}
%patch0 -p0

%build
%cmake_kde4 
%make


%install
rm -rf %buildroot
%makeinstall_std -C build




%post 
/sbin/ldconfig
kbuildsycoca4

%postun 
/sbin/ldconfig
kbuildsycoca4

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_libdir}/kde4/kcm_recentdocument.so
%{_libdir}/kde4/kded_recentdocumentnotifier.so
%{_libdir}/kde4/kio_recentdocument.so
%{_datadir}/kde4/services/kcm_recentdocument.desktop
%{_datadir}/kde4/services/kded/recentdocumentnotifier.desktop
%{_datadir}/kde4/services/recentdocument.protocol


%changelog
* Fri Jun 07 2013 Texstar <texstar at gmail.com> 0.2.1-4pclos2013
- rebuild

* Fri Jul 27 2012 Neal <nealbrks0 at gmail.com> 0.2.1-3pclos2012
- rebuild for kde-4.8.3

* Fri Apr 20 2012 Neal <nealbrks0 at gmail.com> 0.2.1-2pclos2012
- process

* Thu Apr 19 2012 travisn000 <travisn000 at gmail> - v0.2.1-2
- patch0 created by me.. reverts to use of filename, no more URL-as-filename!

* Mon Apr 14 2012 travisn000 <travisn000 at gmail> - v0.2.1-1
- initial build
